import java.io.FileOutputStream;
import java.io.IOException;
import java.io.ObjectOutputStream;
import java.util.ArrayList;
import java.util.List;

/**
 * Lab #4 modified to show type-safe object input with exceptions
 * CS 2334, Section 010
 * 19 November 2008
 * <P>
 * This class implements a program that tests the Word class.
 * </P>
 * @author Dean Hougen
 * @version 1.0
 */
public class SafeDriver {
	/**
	 * This is the main method for this test program. Since this is a
	 * simple test program, all of our code will be in the main method.
	 * Typically this would be a bad design, but we are just testing out
	 * some features of Java.
	 * <P>
	 * @param             args       Contains the command line arguments.
	 */
	public static void main(String[] args) throws IOException, ClassNotFoundException {

		// --- Question 6 ---

		// Create a word object
		//Word myWord = new Word("Bogus", "Georgian");
		String myString = new String("Bogus");

		// Write the word to a file
		//Word.writeWord ("myWordFile", myWord);
		FileOutputStream fos = new FileOutputStream("myWordFile");
		ObjectOutputStream oos = new ObjectOutputStream(fos);
		oos.writeObject(myString);
		oos.close();

		// Read the word from a file
		SafeWord thatWord = SafeWord.readWord("myWordFile");

		// Print the word to the console
		System.out.println(thatWord);

		

		// --- Question 9 ---

		// Create a list of word objects
		List<SafeWord> words = new ArrayList<SafeWord>();
		
		// Code modified to show type-safe object input.
		List<Object> objects = new ArrayList<Object>();
		
		objects.add(new SafeWord("carnivoro", "Spanish"));
		objects.add(new SafeWord("blast", "English"));
		objects.add(new String("Not Word"));
		
		FileOutputStream fos2 = new FileOutputStream("myDictionaryFile");
		ObjectOutputStream oos2 = new ObjectOutputStream(fos2);
		oos2.writeObject(myString);
		oos2.close();

		// Write the list to a file
		//Word.writeDictionary("myDictionaryFile", words);

		// Clear the contents of the list
		words.clear();

		// Print the list to the console (show that the list is empty)
		System.out.println(words + " Was it empty?");

		// Read in the list from a file
		words = SafeWord.readDictionary("myDictionaryFile");

		// Print the contents of the list
		System.out.println(words + " Was it empty this time?");
	}
}
